Bug 184366 - [69cat] IllegalStateException: Too many org.netbeans.modules.profiler.heapwalk.HeapWalkerManager$4 (3) in shared RequestProcessor; create your own
[69cat] IllegalStateException: Too many org.netbeans.modules.profiler.heapwal...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 14:52 UTC by aldobrucale
Modified: 2010-05-26 11:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (947 bytes, text/plain)
2010-04-16 14:52 UTC, aldobrucale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2010-04-16 14:52:36 UTC
Build: NetBeans IDE Dev (Build 201004160201)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux

User Comments:
aldobrucale: Deleting items from Profiler/Saved Snapshots




Stacktrace: 
java.lang.IllegalStateException: Too many org.netbeans.modules.profiler.heapwalk.HeapWalkerManager$4 (3) in shared RequestProcessor; create your own
   at org.openide.util.RequestProcessor.post(RequestProcessor.java:417)
   at org.netbeans.modules.profiler.heapwalk.HeapWalkerManager.deleteHeapDumpImpl(HeapWalkerManager.java:230)
   at org.netbeans.modules.profiler.heapwalk.HeapWalkerManager.deleteHeapDump(HeapWalkerManager.java:133)
   at org.netbeans.modules.profiler.ProfilerControlPanel2$SnapshotsPanel.deleteSnapshots(ProfilerControlPanel2.java:1244)
   at org.netbeans.modules.profiler.ProfilerControlPanel2$SnapshotsPanel.access$3300(ProfilerControlPanel2.java:846)
   at org.netbeans.modules.profiler.ProfilerControlPanel2$SnapshotsPanel$5.run(ProfilerControlPanel2.java:1164)
Comment 1 aldobrucale 2010-04-16 14:52:42 UTC
Created attachment 97542 [details]
stacktrace
Comment 2 J Bachorik 2010-05-03 11:22:14 UTC
fixed http://hg.netbeans.org/profiler-main/rev/50f76de95b72
Comment 3 Quality Engineering 2010-05-04 04:35:40 UTC
Integrated into 'main-golden', will be available in build *201005040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo